Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.filters
Class TrivialFilter

    java.lang.Object
      edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
          edu.uci.ics.jung.graph.filters.TrivialFilter

All Implemented Interfaces:
  EfficientFilter, Filter

public class TrivialFilter
extends GeneralVertexAcceptFilter
implements EfficientFilter

A small filter that returns the vertices and edges in the orignal Graph.

Author:
  danyelf

Constructor Summary
`protected` | `TrivialFilter()`

Method Summary
`boolean` | `acceptVertex(Vertex vert)` Returns true for all vertices.
`static TrivialFilter` | `getInstance()` This is a factory class; just ask for an instance of this one.
`String` | `getName()` Gets a name that describes this filter.

Methods inherited from class edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
`filter, filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.graph.filters.EfficientFilter
`filter`

Methods inherited from interface edu.uci.ics.jung.graph.filters.Filter
`filter`

Constructor Detail

### TrivialFilter

    protected TrivialFilter()

Method Detail

### acceptVertex

    public boolean acceptVertex(Vertex vert)

  Returns true for all vertices.

  Specified by:
    `acceptVertex` in class `GeneralVertexAcceptFilter`

### getName

    public String getName()

  Description copied from interface: `Filter`
  Gets a name that describes this filter. It is used by the auditing methods in ``GraphAssemblyRecord``

  Specified by:
    `getName` in interface `Filter`
  Returns:
    A string that describes the filter.

### getInstance

    public static TrivialFilter getInstance()

  This is a factory class; just ask for an instance of this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD